<?
include 'mysql.php';
Error_Reporting(E_ALL & ~E_NOTICE);

include 'include/antixak.php';
include 'include/zag.php';
include 'include/ini.php';
$_title = 'Linewap2';
$log = htmlspecialchars(stripslashes($log));
$pas = htmlspecialchars(stripslashes($pas));
/////////////////////////////////////////////////////
$text = @file("MySql/base123/reg/$log.dat");
if ($text!=""){
$udata = explode(":||:",$text[0]);
$login=trim($udata[0]);
$password=trim($udata[1]);}
////////////////////////////////////////////////////////
include_once("include/sesi.php");
if (isset($user)) {

switch($go) {

default:
echo "<form action=\"rek.php?$sd&go=go\" method=\"post\">";

echo "<small>Кого Рекомендуем?</small><br/>";
echo "<input name=\"nick\" maxlength=\"15\" title=\"nick\" emptyok=\"true\"/><br/>";
echo '<input type="submit" value="Продолжить" /></form>';

break;

case 'go':

$nick = htmlspecialchars(stripslashes($nick));

if($nick==$log){echo"<small>Вы не можете рекомендовать сами себя.</small>";include_once"include/down.php"; exit; }

if(!@file("MySql/base123/reg/$nick.dat")){echo"<small>Такого игрока не существует.</small>";include_once"include/down.php"; exit; }

require_once "include/antirek.php";
if (CheckIP ()){ echo"<small>[Guard Meps]<br/>Рекомендовать можно только раз в 24 часа!</small>"; include_once"include/down.php"; exit;}

if(!@file("MySql/base123/rating/rek/$nick.dat")){

$text="1||";

$fp=fopen("MySql/base123/rating/rek/$nick.dat","w");
flock ($fp,LOCK_EX);
fputs($fp,"$text\r\n");
flock ($fp,LOCK_UN);
fclose($fp);


$fp=fopen("MySql/base123/rek/$nick.dat","w");
flock ($fp,LOCK_EX);
fputs($fp,"Вас рекомендовал $log||\r\n");
flock ($fp,LOCK_UN);
fclose($fp);


}else{

$file=@file("MySql/base123/rating/rek/$nick.dat");
$data=explode("||",$file[0]);

$rek=$data[0]+1;

$text="$rek||";

$fp=fopen("MySql/base123/rating/rek/$nick.dat","w");
flock ($fp,LOCK_EX);
fputs($fp,"$text\r\n");
flock ($fp,LOCK_UN);
fclose($fp);


$fp=fopen("MySql/base123/rek/$nick.dat","w");
flock ($fp,LOCK_EX);
fputs($fp,"Вас рекомендовал $log||\r\n");
flock ($fp,LOCK_UN);
fclose($fp);


}

echo"<small>Вы дали рекомендацию игроку $nick</small>";

break;

case 'rules':

echo"<small><b>Запрещено</b><br/><b>1.</b> Продавать рекомендации</small><br/>";
echo"<small><b>2.</b> Запрещено обмениваться рекомендациями.</small><br/>";
echo"<small>Рекомендации давать <b>ТОЛЬКО</b> за хорошие поступки игрока.<br/><br/>
<b>При нарушении 1 и 2 пункта блокируются оба персонажа.</b></small>
";

break;
}
}else{echo"<small>Пароль или логин неверен!</small>";}

include_once"include/down.php";
?>
